%define debug_package %{nil}
%define product_family Red Hat Enterprise Linux
%define variant_titlecase Server
%define variant_lowercase server
%define release_name Maipo
%define base_release_version 7
%define full_release_version 7.9
%define dist_release_version 7
#%%define beta Beta
%define dist .el%{dist_release_version}
# repo family ensures that productids have more fine versioning. beta,htb,dist
%define repo_family dist

Name:           redhat-release%{?variant_lowercase:-%{variant_lowercase}}
Epoch:          1
Version:        %{full_release_version}
Release:        3.0.1%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       redhat-release = %{version}-%{release}
Provides:       system-release = %{version}-%{release}
Provides:       system-release(releasever) = %{base_release_version}%{?variant_titlecase}
Source1:        85-display-manager.preset
Source2:        90-default.preset
Source3:        redhat-release-productids-7.9-dist-20200707135519.tar.gz

%description
Dummy package %{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep

%install
rm -rf %{buildroot}

# copy systemd presets
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE1} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE2} %{buildroot}/%{_prefix}/lib/systemd/system-preset/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_prefix}/lib/systemd/system-preset/*

%changelog
* Thu Oct 01 2020 EL Errata <el-errata_ww@oracle.com> - 7.9-3.0.1
- Set the epoch to prevent upgrade conflict with OL6 version [bug 20681742]
- Dummy package for OL7

* Tue Jul 14 2020 Djordje Todorovic <dtodorov@redhat.com> - 7.9-3.el7
- Really comment out Beta macro for RHEL-7.9-GA
- Resolves: rhbz#1789793

* Tue Jul 07 2020 Djordje Todorovic <dtodorov@redhat.com> - 7.9-2.el7
- Rebuild for RHEL-7.9 RC
- Resolves: RHELBLD-1908

* Fri Apr 17 2020 Djordje Todorovic - 7.9-1.el7
- Bump for HTB ProductIDs
- Resolves: SPRHEL-3276

* Mon Jan 13 2020 Djordje Todorovic - 7.9-0.el7
- Bump for Beta ProductIDs
- Resolves rhbz#1789791

* Fri Nov 08 2019 Bohdan Khomutskyi - 7.8-1.el7.1
- Bump for HTB product IDs
- Resolves rhbz#1739201

* Fri Sep 06 2019 Jon Disnard <jdisnard@redhat.com> - 7.8-1.el7
- Bump for beta productids
- Related: rhbz#1739195

* Fri Aug 09 2019 Jon Disnard - 7.8-0.el7
- Bump for RHEL-7.8 Beta
- Resolves: rhbz#1739195

* Wed Jul 03 2019 Djordje Todorovic - 7.7-10.el7
- Fix Beta macro for RHEL-7.7-GA
- Resolves: rhbz#1663235

* Tue Jul 02 2019 Djordje Todorovic - 7.7-9.el7
- Build for RHEL-7.7 GA
- Resolves: rhbz#1663235

* Wed Jun 12 2019 Djordje Todorovic - 7.7-8.el7_7
- Build for RHEL-7.7 Z-stream
- Resolves: rhbz#1663234

* Thu Jun 06 2019 Djordje Todorovic - 7.7-7.el7
- Bump for RHEL-7.7-HTB
- Resolves: rhbz#1663234

* Thu Apr 11 2019 Djordje Todorovic - 7.7-6.el7
- Rebuilt to include actual beta ProductIDs
- Related bug: 1696181
- Resolves: rhbz#1669115

* Mon Apr 01 2019 Jon Disnard - 7.7-5.el7
- Rebuilt to move EULA to new source package
- Related: rhbz#1693820

* Thu Mar 28 2019 Djordje Todorovic <dtodorov@redhat.com> - 7.7-4.el7
- Rebuild to include fixed ProductIDs JIRA: RCM-53336
- Resolves: rhbz#1669115

* Thu Jan 24 2019 Jon Disnard <jdisnard@redhat.com> - 7.7-3.el7
- Enable nfs-client.target in default preset. rhbz#1316369

* Fri Jan 04 2019 Djordje Todorovic <dtodorov@redhat.com> - 7.7-2.el7
- use non z-stream versioning scheme
- Resolves: rhbz#1663233

* Fri Jan 04 2019 Djordje Todorovic <dtodorov@redhat.com> - 7.7-0.el7_6
- bump for 7.7 Beta
- Resolves: rhbz#1663233

* Mon Sep 24 2018 Caleigh Runge-Hottman <crungeho@redhat.com> - 7.6-4.el7_6
- bump for 7.6 z-stream
- Resolves: rhbz#1560862

* Fri Sep 21 2018 Lubos Kocman <lkocman@redhat.com> - 7.6-4.el7
- bump for 7.6 GA
- Resolves: rhbz#1560862

* Tue Sep 04 2018 Lubos Kocman <lkocman@redhat.com> - 7.6-3.el7
- fix product string for HTB in default productids
- Resolves: rhbz#1560862
- Relates: rhbz#1624309

* Thu Aug 23 2018 Pavel Niahodkin - 7.6-2.el7
- Rebuilt for 7.6 HTB.
- Resolves: rhbz#1560864

* Wed Aug 01 2018 Lubos Kocman <lkocman@redhat.com> - 7.6-1.el7
- Fix typo in rhel-autorelabel-mark.service
- Resolves: rhbz#1571689

* Fri Apr 13 2018 Lubos Kocman <lkocman@redhat.com> - 7.6-0.el7
- initial build for rhel-7.6 beta
- Resolves: rhbz#1560863

* Wed Feb 28 2018 Lubos Kocman <lkocman@redhat.com> - 7.5-8.el7
- return back lost presets opal-prd, hypervfcopyd
- Relates: rhbz#1549645
- Resolves: rhbz#1477991

* Thu Feb 22 2018 Lubos Kocman <lkocman@redhat.com> - 7.5-7.el7
- rebuild for GA (previous z-stream build is internal only)
- Resolves: rhbz#1477991

* Mon Feb 12 2018 Lubos Kocman <lkocman@redhat.com> - 7.5-1.el7_5
- rebuild for z-stream config
- JIRA: RCM-28295
- Resolves: rhbz#1477991

* Tue Feb 06 2018 Lubos Kocman <lkocman@redhat.com> - 7.5-6.el7
- add NetworkManager-wait-online.service to presets
- add forgotten rhel-domainname.service to presets
- add spice-vdagentd.socket to presets
- Resolves: rhbz#1540243

* Thu Feb 01 2018 Djordje Todorovic <dtodorov@redhat.com> - 7.5-5.el7
- bump version for HTB to fix  rhbz#1538957
- Resolves: rhbz#1540523

* Wed Jan 24 2018 Djordje Todorovic <dtodorov@redhat.com> - 7.5-4.el7
- bump version for HTB
- Resolves: rhbz#1538583

* Wed Nov 29 2017 Lubos Kocman <lkocman@redhat.com> - 7.5-3.el7
- provide actual beta productids
- Resolves: rhbz#1477988

* Wed Jun 28 2017 Lubos Kocman <lkocman@redhat.com> - 7.5-1.el7
- rollback of new package request (redhat-release). JIRA: RCM-25033
- Resolves: rhbz#1466854

* Wed Jun 28 2017 Lubos Kocman <lkocman@redhat.com> - 7.4-18.el7
- rebuild for GA
- Resolves: rhbz#1465919

* Wed Jun 21 2017 Lubos Kocman <lkocman@redhat.com> - 7.4-17.el7
- fix missing repo_family macro
- Resolves: rhbz#1461546

* Wed Jun 21 2017 Lubos Kocman <lkocman@redhat.com> - 7.4-16.el7
- provide more fine versioning of productid archive
- Resolves: rhbz#1461546

* Thu May 25 2017 Lubos Kocman <lkocman@redhat.com> - 7.4-15.el7
- supply new htb pems
- Resolves: rhbz#1434546

* Wed Apr 03 2017 Lubos Kocman <lkocman@redhat.com> - 7.4-13.el7
- Introduce VARIANT, VARIANT_ID to /etc/os-release
- Resolves: rhbz#1434546

* Mon Mar 13 2017 Jon Disnard <jdisnard@redhat.com> - 7.4-12.el7
- Fine grain versioning of product id source file. 
- Apply various rpm macros consistently
- Resolves: rhbz#1380694

* Mon Mar 06 2017 Lubos Kocman <lkocman@redhat.com> - 7.4-11.el7
- Enable rhsmcertd.service (default preset) Resolves: rhbz#1271839
- Enable lvm2-lvmpolld.socket in default preset Resolves: rhbz#1316307
- Enable brandbot.* by default in default preset. Resolves: rhbz#1359645

* Wed Oct 05 2016 Lubos Kocman <lkocman@redhat.com> - 7.4-0.el7
- Rebuilt for 7.4 Beta

* Wed Oct 05 2016 Jan Blazek <jblazek@redhat.com> - 7.3-7.el7_3.1
- Rebuilt for 7.3.z

* Tue Sep 27 2016 Jan Blazek <jblazek@redhat.com> - 7.3-7.el7
- Rebuild for GA

* Tue Aug 09 2016 Jan Blazek <jblazek@redhat.com> - 7.3-6.el7
- Enable virtlogd.socket in default.preset
- Resolves: #1325503

* Fri Jul 15 2016 Jan Blazek <jblazek@redhat.com> - 7.3-5.el7
- Remove 'Development Preview' from aarch64 productid
- Resolves: #1353823

* Tue Jun 28 2016 Jan Blazek <jblazek@redhat.com> - 7.3-4.el7
- Add opal-prd to default.preset
- Resolves: #1312446

* Mon Jun 06 2016 Jan Blazek <jblazek@redhat.com> - 7.3-3.el7
- Add initial-setup-reconfiguration to default.preset
- Resolves: #1342536

* Tue Jan 05 2016 Jan Blazek <jblazek@redhat.com> - 7.3-2.el7
- Bump for 7.3 Beta
- Resolves: #1295811

* Thu Oct 29 2015 Daniel Mach <dmach@redhat.com> - 7.2-9.el7_2.1
* Rebuild for 7.2.z

* Fri Oct 23 2015 Jan Blazek <jblazek@redhat.com> - 7.2-9.el7
- Make /etc/os-release a config file (without noreplace)
- Resolves: #1257142

* Tue Oct 20 2015 Jan Blazek <jblazek@redhat.com> - 7.2-8.el7
- Rebuild for GA

* Thu Sep 10 2015 Jan Blazek <jblazek@redhat.com> - 7.2-7.el7
- Add unbound-anchor.timer to default.preset
- Resolves: #1215645

* Fri Sep 04 2015 Jan Blazek <jblazek@redhat.com> - 7.2-6.el7
- Include correct RHEL 7.2 Beta certificates
- Resolves: #1259820

* Thu Jul 30 2015 Jan Blazek <jblazek@redhat.com> - 7.2-4.el7
- Add hypervfcopyd to default.preset
- Resolves: #1193616

* Thu Jul 23 2015 Jan Blazek <jblazek@redhat.com> - 7.2-3.el7
- Remove the Initial Setup units from the systemd preset file
- Resolves: #1215226

* Wed Jul 22 2015 Jan Blazek <jblazek@redhat.com> - 7.2-2.el7
- Specify Beta in PRETTY_NAME in /etc/os-release
- Resolves: #1224247

* Mon Jun 15 2015 Lubos Kocman <lkocman@redhat.com> - 7.2-1.el7
- Include default productids
- Bump for 7.2 Beta
- Resolves: #1080007

* Thu Feb 12 2015 Jan Blazek <jblazek@redhat.com> - 7.1-1.el7_1.1
- Rebuild for 7.1.z

* Mon Feb 02 2015 Jan Blazek <jblazek@redhat.com> - 7.1-1.el7
- Rebuild for GA

* Fri Jan 09 2015 Jan Blazek <jblazek@redhat.com> - 7.1-0.3.el7
- Specify Beta in /etc/os-release
- Resolves: #1177449

* Thu Sep 25 2014 Jan Blazek <jblazek@redhat.com> - 7.1-0.1.el7
- Rebuilt for 7.1 Beta

* Wed Apr 30 2014 Daniel Mach <dmach@redhat.com> - 7.0-1.el7_0.1
- Rebuild for 7.0.z

* Tue Apr  1 2014 Daniel Mach <dmach@redhat.com> - 7.0-1.el7
- Rebuild for GA

* Tue Feb 25 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.12.el7
- Fix variant_titlecase macro usage

* Wed Feb 19 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.11.el7
- Enable microcode.service by default

* Tue Feb 18 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.10.el7
- Update EULA text

* Wed Feb 12 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.9.el7
- Add systemd presets
- Resolves: #903690

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.8.el7
- Mass rebuild 2014-01-24

* Wed Jan 15 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.7
- Add ID_LIKE, HOME_URL and BUG_REPORT_URL fields to /etc/os-release
- Make /etc/os-release a config file

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 7.0-0.6
- Mass rebuild 2013-12-27

* Fri Nov  8 2013 Daniel Mach <dmach@redhat.com> - 7.0-0.5
- Rebuild for Beta
